System and platform requirements

Confluence

Only Confluence Server is supported.

Web browsers

The app supports all web browsers supported by Confluence Server.

While the SCORM player provided by the app should work with the supported browsers, the SCORM content type (e.g. HTML5 and Flash) is dependent on the browser capability.

Network and firewall settings

The app requires Confluence to be accessible through both incoming and outgoing connection, to and from ServiceRocket's SCORM service at scorm.servicerocket.io. Outgoing connection is used to send requests during connection setup and for uploading a SCORM package. Incoming connection is used to confirm connection setup and to receive progress and scores updates.

This also requires Confluence to be served on a fully-qualified domain name (FQDN), for example:

The following domain examples are NOT supported:

If you're evaluating this app using Confluence on a localhost, we recommend using secure tunnels like https://ngrok.com/ to make your Confluence accessible on the internet.

Note that HTTPS/SSL is not required for Confluence, but recommended for general security purposes.

SCORM versions

The following SCORM versions are supported:

  • SCORM 1.2
  • SCORM 2004 "2nd Edition"
  • SCORM 2004 "3rd Edition"
  • SCORM 2004 "4th Edition"

Note: The SCORM engine does not support SCORM 2004 editions which are exported with "sequencing" enabled. 

Related information